Bug 107476 - shadow-utils-4.0.3-9.src.rpm does not build agains 0.95
Summary: shadow-utils-4.0.3-9.src.rpm does not build agains 0.95
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-10-19 00:11 UTC by Pasi Pirhonen
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 4.0.3-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 18:27:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pasi Pirhonen 2003-10-19 00:11:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030910
Debian/1.4-4.he-1

Description of problem:
Following makes it compile again. Problem is that $(top_builddir) gets appended
twice for $(MKINSTALDIRS) for actual Makefile.


--- shadow-4.0.3/po/Makefile.in.in.orig 2002-03-13 21:03:23.000000000 +0200
+++ shadow-4.0.3/po/Makefile.in.in      2003-10-19 01:47:26.000000000 +0300
@@ -29,7 +29,7 @@
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 MKINSTALLDIRS = @MKINSTALLDIRS@
-mkinstalldirs = $(SHELL) `case "$(MKINSTALLDIRS)" in /*) echo
"$(MKINSTALLDIRS)" ;; *) echo "$(top_builddir)/$(MKINSTALLDIRS)" ;; esac`
+mkinstalldirs = $(SHELL) `case "$(MKINSTALLDIRS)" in /*) echo
"$(MKINSTALLDIRS)" ;; *) echo "$(MKINSTALLDIRS)" ;; esac`

 CC = @CC@
 GMSGFMT = @GMSGFMT@




Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-9

How reproducible:
Always

Steps to Reproduce:
1. Try to rebuild
2.
3.
    

Actual Results:  Fails to rebuild

Additional info:

Comment 1 Nalin Dahyabhai 2003-10-22 18:27:02 UTC
Depending on the version of autoconf you have installed, the change above is
either necessary for the build to work (2.57), or causes it to fail (2.52).  For
now, I think overriding MKINSTALLDIRS on the %makeinstall command line is the
safest thing to do, as it works in both cases.


Note You need to log in before you can comment on or make changes to this bug.